Bug 1619678 - cloud network nor key pairs are eligible for MIQ Expression
Summary: cloud network nor key pairs are eligible for MIQ Expression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Angelina Nikiforova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 13:02 UTC by Christian Jung
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:38 UTC

Description Christian Jung 2018-08-21 13:02:23 UTC
Description of problem:
If you try to build an Expression (e.g. to use it in a dynamic dialog), you can select all sorts of objects from the Expression Object list.

But Key Pairs (e.g. OpenStack) and Cloud Networks are missing from that list.

Version-Release number of selected component (if applicable):
5.9.3

How reproducible:
always

Steps to Reproduce:
1. create a new method in Automate type "Expression"
2. not that keypairs and cloud networks are missing from the Expression Object List
3.

Actual results:
objects missing

Expected results:
should be there

Additional info:
there are probably more missing objects.

Comment 4 CFME Bot 2018-08-22 21:21:08 UTC
New commits detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/ee044640e628470fa7fd8f1ebe00ab64e1e8dba7
commit ee044640e628470fa7fd8f1ebe00ab64e1e8dba7
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Aug 21 17:39:02 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Aug 21 17:39:02 2018 -0400

    Added key pairs, cloud networks and networks to reporting and expressions

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1619678

 config/miq_expression.yml | 3 +
 1 file changed, 3 insertions(+)


https://github.com/ManageIQ/manageiq/commit/6f208fe5c95afb40d8c7312cd09ed326a81e53f6
commit 6f208fe5c95afb40d8c7312cd09ed326a81e53f6
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Aug 22 14:53:14 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Aug 22 14:53:14 2018 -0400

    Exclude sensitive columns of AuthKeyPair (authentications table) class from reporting and expressions

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1619678

 config/miq_expression.yml | 2 +
 1 file changed, 2 insertions(+)

Comment 5 Angelina Nikiforova 2018-10-31 09:25:04 UTC
Verified in 5.10.0.21.20181023151612_4c11b0d:
keypairs and cloud networks are in Expresion Object dropdown (CloudNetwork, ManageIQ::Providers::CloudManager::AuthKeyPair, and Network are there).

Comment 6 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.